### Constructor

# GtkSource Region new

#### Declaration [src]

    GtkSourceRegion*
    gtk_source_region_new (
      GtkTextBuffer* buffer
    )

#### Description

No description available.

#### Parameters

`buffer`

  Type: `GtkTextBuffer`

  A `GtkTextBuffer`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceRegion`

A new `GtkSourceRegion` object for `buffer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.